<template>
  <div>
    <BlogSearchForm v-on:search="searchPost"></BlogSearchForm>
    <BlogListTable v-bind:itemTable="itemTable"></BlogListTable>
  </div>
</template>

<script>
import BlogCreateEdit from "../../components/blog/BlogCreateEdit.vue";
import BlogSearchForm from "../../components/blog/BlogSearchForm.vue";
import BlogListTable from '../../components/blog//BlogListTable.vue';

export default {
  components: {BlogSearchForm,BlogCreateEdit, BlogListTable,},
  data: function () {
    return {
      posts:[],
      itemTable: [],
      search: "",
    };
  },

  methods: {
    async fetch() {
      this.itemTable = await fetch("http://localhost:3000/blogs").then((res) =>res.json());
    },
   searchPost(keywork) {
      this.$axios.$get('http://localhost:3000/blogs?title_like='+ keywork)
      .then(res => {
        this.itemTable = res;
      })
    },
  },
};
</script>